Bug 10427 - darktable new security issue CVE-2013-2126
: darktable new security issue CVE-2013-2126
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: Security
: 3
: i586 Linux
: Normal Severity: major
: ---
Assigned To: QA Team
: Sec team
: http://lwn.net/Vulnerabilities/553302/
: MGA3-64-OK MGA3-32-OK
: validated_update
:
:
  Show dependency treegraph
 
Reported: 2013-06-04 17:30 CEST by David Walser
Modified: 2014-05-08 18:07 CEST (History)
3 users (show)

See Also:
Source RPM: darktable-1.2-1.mga3.src.rpm
CVE:


Attachments

Description David Walser 2013-06-04 17:30:10 CEST
A Debian developer noted that darktable uses a bundled copy of libraw, which is affected by a double-free security issue, which we have fixed in our libraw package in Bug 10346:
http://openwall.com/lists/oss-security/2013/06/04/2

Reproducible: 

Steps to Reproduce:
Comment 1 David Walser 2013-07-11 17:45:18 CEST
OpenSuSE has issued an advisory for this on June 26:
http://lists.opensuse.org/opensuse-updates/2013-06/msg00193.html
Comment 2 David Walser 2013-07-19 15:47:04 CEST
This is fixed upstream in darktable 1.2.2, which is in Cauldron.

The darktable version in Mageia 2 appears to not contain the vulnerability.

Patched package uploaded for Mageia 3.

Advisory:
========================

Updated darktable package fixes security vulnerability:

A double-free error exits when handling damaged full-color within Foveon and
sRAW files in libraw, which is embedded in darktable (CVE-2013-2126).

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2126
http://secunia.com/advisories/53547/
http://www.libraw.org/news/libraw-0-15-2
http://lists.opensuse.org/opensuse-updates/2013-06/msg00193.html
========================

Updated packages in core/updates_testing:
========================
darktable-1.2-1.1.mga3

from darktable-1.2-1.1.mga3.src.rpm
Comment 3 Dave Hodgins 2013-07-21 01:34:15 CEST
Advisory 10427.adv added to svn.

No poc, so just testing that the update works.

Testing shortly.
Comment 4 Dave Hodgins 2013-07-21 01:47:39 CEST
Testing complete on Mageia 3 i586 and x86_64.

Just imported a variety of images and explored the menu options.

Could someone from the sysadmin team pusht 10427.adv.
Comment 5 Nicolas Vigier 2013-07-21 12:02:47 CEST
http://advisories.mageia.org/MGASA-2013-0223.html

Note You need to log in before you can comment on or make changes to this bug.